.container {
    height: 100%;
    display:flex;
    flex-direction: column;
    align-items:center;
    justify-content:center;
}

.form-signin {
    width: 100%;
    max-width: 410px;

    padding: 15px;
    font-size: 16px;

    background-color:#f3f3f3;

    /* shadows and rounded borders */
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.1);
}

#form-signin .wrap-title {
    text-align: center;
}

#form-signin .submit  {
    text-align: center;
    width: 100%;
}

#form-signin .submit button {
    width: 100%;
}